This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 1076803

Summary: fbida bundles libjpeg (partially)
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: fbidaAssignee: Adrian Reber <adrian>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: adrian
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:08:30 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Ville Skyttä 2014-03-15 05:14:52 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Even though fbida links with system libjpeg, it also ends up using some bundled libjpeg files from the source tree.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/fbida/2.09/6.fc20/x86_64/fbida-debuginfo-2.09-6.fc20.x86_64.rpm | grep /jpeg | head -n 6
/usr/src/debug/fbida-2.09/jpeg
/usr/src/debug/fbida-2.09/jpeg/62
/usr/src/debug/fbida-2.09/jpeg/62/jpegint.h
/usr/src/debug/fbida-2.09/jpeg/62/jpeglib.h
/usr/src/debug/fbida-2.09/jpeg/62/transupp.c
/usr/src/debug/fbida-2.09/jpeg/62/transupp.h
Comment 1 Jaroslav Reznik 2015-03-03 10:34:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 07:08:30 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jan Kurik 2016-07-26 00:02:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.